Nexus 보안 게시판 - 2015년 10월

게시: 2015년 10월 5일 | 업데이트: 2015년 10월 12일

Google의 Android 보안 게시판 월간 출시 과정의 일환으로 무선 업데이트를 통해 Nexus 기기에 대한 보안 업데이트가 출시되었습니다. 또한 Nexus 펌웨어 이미지도 Google 개발자 사이트 에 출시되었습니다. 다음 문제는 빌드 LMY48T 이상(예: LMY48W) 및 2015년 10월 1일 이후의 보안 패치 수준이 포함된 Android M에서 해결됩니다. 보안 패치 수준을 확인하는 방법에 대한 안내는 Nexus 도움말 을 참조하세요.

이 문제에 대한 알림은 2015년 9월 10일 이전에 파트너에게 전달되었으며, 소스 코드 패치는 Android 오픈소스 프로젝트(AOSP) 저장소에 출시되었습니다.

이 중 가장 심각한 문제는 미디어 파일을 처리할 때 이메일과 웹 탐색, MMS 등 여러 방법을 통해 대상 기기에서 원격으로 코드를 실행할 수 있게 하는 심각한 보안 취약성입니다.

실제 고객이 새로 보고된 이러한 문제로 인해 악용당했다는 신고는 접수되지 않았습니다. SafetyNet와 같이 Android 플랫폼의 보안을 개선하는 Android 보안 플랫폼 보호 및 서비스 보호 기능에 대한 세부정보를 보려면 완화 섹션을 참조하세요. 모든 고객은 기기에서 이 업데이트를 수락하는 것이 좋습니다.

보안 취약성 요약


아래 표에는 보안 취약성 목록, 일반적인 취약성 및 노출 ID(CVE), 평가된 심각도가 포함되어 있습니다. 심각도 평가 는 개발 목적으로 플랫폼 및 서비스 완화를 사용할 수 없거나 우회에 성공한 경우 취약성 악용으로 인해 대상 기기가 받는 영향을 기준으로 평가됩니다.

문제 CVE 심각도
libstagefright의 원격 코드 실행 취약성 CVE-2015-3873
CVE-2015-3872
CVE-2015-3871
CVE-2015-3868
CVE-2015-3867
CVE-2015-3869
CVE-2015-3870
CVE-2015-3823
CVE-2015-6598
CVE-2015-6599
CVE-2015-6600
CVE-2015-6603
CVE-2015-6601
CVE-2015-3876
CVE-2015-6604
심각
Sonivox의 원격 코드 실행 취약성 CVE-2015-3874 심각
libutils의 원격 코드 실행 취약성 CVE-2015-3875
CVE-2015-6602
심각
Skia의 원격 코드 실행 취약성 CVE-2015-3877 심각
libFLAC의 원격 코드 실행 취약성 CVE-2014-9028 심각
키 저장소의 권한 승격 취약성 CVE-2015-3863 높음
미디어 플레이어 프레임워크의 권한 승격 취약성 CVE-2015-3879 높음
Android 런타임의 권한 승격 취약성 CVE-2015-3865 높음
미디어 서버의 권한 승격 취약성 CVE-2015-6596 높음
보안 요소 평가 키트의 권한 승격 취약성 CVE-2015-6606 높음
미디어 프로젝션의 권한 승격 취약성 CVE-2015-3878 중간
블루투스의 권한 승격 취약성 CVE-2015-3847 중간
SQLite의 권한 승격 취약성 CVE-2015-6607 중간
미디어 서버의 서비스 거부(DoS) 취약성 CVE-2015-6605
CVE-2015-3862
낮음

완화


다음은 SafetyNet와 같은 Android 보안 플랫폼 및 서비스 보호 기능에서 제공하는 완화에 대한 개요입니다. 이러한 기능을 통해 Android에서 보안 취약성이 악용될 가능성을 줄입니다.

  • Android 플랫폼 최신 버전의 향상된 기능으로 Android의 여러 문제를 악용하기 더욱 어려워졌습니다. 가능한 경우 모든 사용자는 Android 최신 버전으로 업데이트하는 것이 좋습니다.
  • Android 보안팀에서는 유해할 수 있는 애플리케이션이 설치될 때 경고를 보내는 앱 인증 및 SafetyNet를 사용하여 악용사례를 적극적으로 모니터링합니다. Google Play 내에서 기기 루팅 도구는 금지되어 있습니다. Google Play 외에서 애플리케이션을 설치하는 사용자를 보호하기 위해 앱 인증이 기본적으로 사용 설정되며 알려진 루팅 애플리케이션이 감지되면 알립니다. 앱 인증은 권한 승격 취약성을 악용하는 알려진 악성 애플리케이션을 식별하고 차단합니다. 이러한 애플리케이션이 이미 설치된 경우 앱 인증에서 사용자에게 이를 알리고 애플리케이션 삭제를 시도합니다.
  • Google 행아웃과 메신저 애플리케이션이 미디어 서버와 같은 취약한 프로세스에 미디어를 자동으로 전달하지 않도록 업데이트되었습니다.

사사


참여해 주신 다음 연구원에게 감사드립니다.

  • Brennan Lautner: CVE-2015-3863
  • Qihoo 360 C0re 팀의 Yajin Zhou, Lei Wu, Xuxian Jiang: CVE-2015-3868, CVE-2015-3869, CVE-2015-3865, CVE-2015-3862
  • Copperhead Security의 Daniel Micay(daniel.micay@copperhead.co): CVE-2015-3875
  • Alibaba 모바일 보안팀의 dragonltx: CVE-2015-6599
  • Google Project Zero의 Ian Beer, Steven Vittitoe: CVE-2015-6604
  • 아르헨티나 부에노스아이레스 Fundación Dr. Manuel Sadosky Programa STIC의 Joaquín Rinaudo(@xeroxnir), Iván Arce(@4Dgifts): CVE-2015-3870
  • Zimperium의 Josh Drake: CVE-2015-3876, CVE-2015-6602
  • Exodus Intelligence의 Jordan Gruskovnjak(@jgrusko): CVE-2015-3867
  • Trend Micro의 Peter Pi: CVE-2015-3872, CVE-2015-3871
  • Qihoo 360 Technology Co. Ltd의 Ping Li: CVE-2015-3878
  • Seven Shen: CVE-2015-6600, CVE-2015-3847
  • Baidu X-Team의 Wangtao(neobyte): CVE-2015-6598
  • Trend Micro Inc.의 Wish Wu(@wish_wu): CVE-2015-3823

이 게시판에 해결된 여러 문제를 보고해 주신 Chrome 보안팀, Google 보안팀, Project Zero 및 그 외 Google 직원에게도 감사드립니다.

보안 취약성 세부정보


다음 섹션에서는 위의 보안 취약성 요약 에 나열된 각 취약성에 대한 세부정보를 제공합니다. 여기에는 문제에 대한 설명, 심각도 근거 및 CVE, 관련 버그, 심각도, 해당 버전 및 신고된 날짜가 포함된 표가 제시됩니다. 가능한 경우 문제를 해결한 AOSP 확인을 버그 ID에 연결했습니다. 하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 AOSP 참조가 버그 ID 다음에 오는 번호에 연결됩니다.

libstagefright의 원격 코드 실행 취약성

libstagefright의 취약성은 특별히 제작된 파일의 미디어 파일과 데이터를 처리하는 동안 공격자가 메모리 손상을 일으키고 미디어 서버 서비스에서 원격 코드를 실행할 수 있게 합니다.

이 문제는 원격 코드를 권한 있는 서비스로 실행할 가능성으로 인해 심각도 심각으로 평가됩니다. 문제의 구성요소는 오디오와 동영상 스트림뿐 아니라 제3자 애플리케이션이 일반적으로 액세스할 수 없는 권한에 액세스할 수 있습니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3873 ANDROID-20674086 [ 2 , 3 , 4 ] 심각 5.1 이하 Google 사내용
ANDROID-20674674 [ 2 , 3 , 4 ]
ANDROID-20718524
ANDROID-21048776
ANDROID-21443020
ANDROID-21814993
ANDROID-22008959
ANDROID-22077698
ANDROID-22388975
ANDROID-22845824
ANDROID-23016072
ANDROID-23247055
ANDROID-23248776
ANDROID-20721050 심각 5.0 및 5.1 Google 사내용
CVE-2015-3823 ANDROID-21335999 심각 5.1 이하 2015년 5월 20일
CVE-2015-6600 ANDROID-22882938 심각 5.1 이하 2015년 7월 31일
CVE-2015-6601 ANDROID-22935234 심각 5.1 이하 2015년 8월 3일
CVE-2015-3869 ANDROID-23036083 심각 5.1 이하 2015년 8월 4일
CVE-2015-3870 ANDROID-22771132 심각 5.1 이하 2015년 8월 5일
CVE-2015-3871 ANDROID-23031033 심각 5.1 이하 2015년 8월 6일
CVE-2015-3868 ANDROID-23270724 심각 5.1 이하 2015년 8월 6일
CVE-2015-6604 ANDROID-23129786 심각 5.1 이하 2015년 8월 11일
CVE-2015-3867 ANDROID-23213430 심각 5.1 이하 2015년 8월 14일
CVE-2015-6603 ANDROID-23227354 심각 5.1 이하 2015년 8월 15일
CVE-2015-3876 ANDROID-23285192 심각 5.1 이하 2015년 8월 15일
CVE-2015-6598 ANDROID-23306638 심각 5.1 이하 2015년 8월 18일
CVE-2015-3872 ANDROID-23346388 심각 5.1 이하 2015년 8월 19일
CVE-2015-6599 ANDROID-23416608 심각 5.1 이하 2015년 8월 21일

Sonivox의 원격 코드 실행 취약성

Sonivox의 취약성은 특별히 제작된 파일의 미디어 파일을 처리하는 동안 공격자가 메모리 손상을 일으키고 미디어 서버 서비스에서 원격 코드를 실행할 수 있게 합니다. 이 문제는 원격 코드를 권한 있는 서비스로 실행할 가능성으로 인해 심각도 심각으로 평가됩니다. 문제의 구성요소는 오디오와 동영상 스트림뿐 아니라 제3자 애플리케이션이 일반적으로 액세스할 수 없는 권한에 액세스할 수 있습니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3874 ANDROID-23335715 심각 5.1 이하 여러 날짜
ANDROID-23307276 [ 2 ]
ANDROID-23286323

libutils의 원격 코드 실행 취약성

오디오 파일 처리에 일반 라이브러리인 libutils의 취약성이 있습니다. 이 취약성은 특별히 제작된 파일을 처리하는 동안 공격자가 메모리 손상을 일으키고 미디어 서버와 같이 이 라이브러리를 사용하는 서비스에서 원격 코드를 실행할 수 있게 합니다.

문제의 기능은 애플리케이션 API로 제공되며 원격 콘텐츠와 특히 MMS 및 미디어의 브라우저 재생에서 이런 기능을 사용하는 여러 애플리케이션이 있습니다. 이 문제는 권한 있는 서비스에서 원격 코드를 실행할 가능성으로 인해 심각도 심각으로 평가됩니다. 문제의 구성요소는 오디오와 동영상 스트림뿐 아니라 제3자 앱이 일반적으로 액세스할 수 없는 권한에 액세스할 수 있습니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3875 ANDROID-22952485 심각 5.1 이하 2015년 8월 15일
CVE-2015-6602 ANDROID-23290056 [ 2 ] 심각 5.1 이하 2015년 8월 15일

Skia의 원격 코드 실행 취약성

Skia 구성요소의 취약성은 특별히 제작된 파일을 처리하는 동안 악용되어 메모리 손상을 일으키고 권한 있는 프로세스에서 원격 코드 실행으로 이어질 수 있습니다. 이 문제는 미디어 파일을 처리할 때 이메일과 웹 탑색, MMS 등 다양한 공격을 통해 원격 코드를 실행할 가능성으로 인해 심각도 심각으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3877 ANDROID-20723696 심각 5.1 이하 2015년 7월 30일

libFLAC의 원격 코드 실행 취약성

미디어 파일 처리에 libFLAC의 취약성이 있습니다. 이 취약성은 특별히 제작된 파일을 처리하는 동안 공격자가 메모리 손상을 일으키고 원격 코드를 실행할 수 있게 합니다.

문제의 기능은 애플리케이션 API로 제공되며, 이러한 기능이 미디어의 브라우저 재생 등 원격 콘텐츠에 도달할 수 있게 하는 여러 애플리케이션이 있습니다. 이 문제는 권한 있는 서비스에서 원격 코드를 실행할 가능성으로 인해 심각도 심각으로 평가됩니다. 문제의 구성요소는 오디오와 동영상 스트림뿐 아니라 제3자 앱이 일반적으로 액세스할 수 없는 권한에 액세스할 수 있습니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2014-9028 ANDROID-18872897 [ 2 ] 심각 5.1 이하 2014년 11월 14일

키 저장소의 권한 승격 취약성

키 저장소 구성요소의 권한 승격 취약성은 악성 애플리케이션이 KeyStore API로 호출될 때 악용될 수 있습니다. 이 애플리케이션은 메모리 손상을 일으키고 키 저장소 내에서 임의의 코드를 실행할 수 있습니다. 이 문제는 제3자 애플리케이션에서 직접 액세스할 수 없는 권한에 액세스하는 데 사용될 수 있어서 심각도 높음으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3863 ANDROID-22802399 높음 5.1 이하 2015년 7월 28일

미디어 플레이어 프레임워크의 권한 승격 취약성

미디어 플레이어 프레임워크 구성요소의 권한 승격 취약성은 악성 애플리케이션이 미디어 서버 내에서 임의의 코드를 실행할 수 있게 합니다. 이 문제는 악성 애플리케이션이 제3자 애플리케이션에 액세스할 수 없는 권한에 액세스할 수 있게 하여 심각도 높음으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3879 ANDROID-23223325 [2]* 높음 5.1 이하 2015년 8월 14일

* 이 문제에 대한 두 번째 변경사항은 AOSP에 포함되어 있지 않습니다. 업데이트는 Google 개발자 사이트 에서 사용 가능한 Nexus 기기의 최신 바이너리 드라이버에 포함되어 있습니다.

Android 런타임의 권한 승격 취약성

Android 런타임의 권한 승격 취약성을 악용하여 로컬 악성 애플리케이션은 권한이 승격된 시스템 애플리케이션 내에서 임의의 코드를 실행할 수 있습니다. 이 문제는 제3자 애플리케이션이 액세스할 수 없는 기능에 서명 또는 SignatureOrSystem 권한과 같이 승격된 권한을 부여하는 데 사용될 수 있으므로 심각도 높음으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3865 ANDROID-23050463 [ 2 ] 높음 5.1 이하 2015년 8월 8일

미디어 서버의 권한 승격 취약성

미디어 서버에 로컬 악성 애플리케이션이 권한이 있는 기본 서비스 내에서 임의의 코드를 실행할 수 있게 하는 여러 취약성이 있습니다. 이 문제는 제3자 애플리케이션에 직접 액세스할 수 없는 권한에 액세스하는 데 사용될 수 있어서 심각도 높음으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-6596 ANDROID-20731946 높음 5.1 이하 여러 날짜
ANDROID-20719651*
ANDROID-19573085 높음 5.0 - 6.0 Google 사내용

* 이 문제에 대한 패치는 AOSP에 포함되어 있지 않습니다. 업데이트는 Google 개발자 사이트 에서 사용 가능한 Nexus 기기의 최신 바이너리 드라이버에 포함되어 있습니다.

보안 요소 평가 키트의 권한 승격 취약성

SEEK (보안 요소 평가 키트, SmartCard API라고도 함) 플러그인을 악용하면 애플리케이션이 요청하지 않아도 승격된 권한을 얻을 수 있습니다. 이 문제는 제3자 애플리케이션이 액세스할 수 없는 기능에 서명 또는 SignatureOrSystem 권한과 같이 승격된 권한을 부여하는 데 사용될 수 있으므로 심각도 높음으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-6606 ANDROID-22301786* 높음 5.1 이하 2015년 6월 30일

* 이 문제를 해결하는 업그레이드는 Android용 SEEK 사이트 에 있습니다.

미디어 프로젝션의 권한 승격 취약성

미디어 프로젝션 구성요소의 취약성을 악용하면 사용자 데이터가 화면 스크린샷의 형태로 공개될 수 있습니다. 이 문제는 운영체제에서 지나치게 긴 애플리케이션 이름을 허용한 결과 발생합니다. 로컬 악성 애플리케이션에서 이렇게 긴 이름을 사용하면 화면 녹화에 대한 경고가 사용자에게 표시되지 않을 수 있습니다. 이 문제는 부적절하게 승격된 권한을 얻는 데 사용될 수 있어서 심각도 보통으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3878 ANDROID-23345192 중간 5.0 - 6.0 2015년 8월 18일

블루투스의 권한 승격 취약성

Android 블루투스 구성요소의 취약성을 악용하면 애플리케이션이 저장된 SMS 메시지를 삭제할 수 있습니다. 이 문제는 부적절하게 승격된 권한을 얻는 데 사용될 수 있어서 심각도 보통으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-3847 ANDROID-22343270 중간 5.1 이하 2015년 7월 8일

SQLite의 권한 승격 취약성

SQLite 파싱 엔진에서 여러 취약성이 발견되었습니다. 이 취약성은 로컬 애플리케이션에 의해 악용되어 다른 애플리케이션이나 서비스가 임의의 SQL 쿼리를 실행할 수 있게 합니다. 악용에 성공하면 대상 애플리케이션 내에서 임의의 코드가 실행될 수 있습니다.

2015년 4월 8일에 수정사항이 AOSP 마스터로 업로드되어 SQLite 버전이 3.8.9로 업그레이드되었습니다( https://android-review.googlesource.com/#/c/145961/ ).

이 게시판에는 Android 4.4의 SQLite 버전(SQLite 3.7.11)과 Android 5.0 및 5.1의 SQLite 버전(SQLite 3.8.6)이 포함되어 있습니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-6607 ANDROID-20099586 보통 5.1 이하 2015년 4월 7일
공개적으로 알려짐

미디어 서버의 서비스 거부(DoS) 취약성

미디어 서버에 미디어 프로세스를 다운시켜 서비스 거부를 일으킬 수 있는 여러 취약성이 있습니다. 이 문제는 미디어 서버의 다운으로 인해 로컬에서 일시적으로 서비스 거부가 발생하는 것으로 심각도 낮음으로 평가됩니다.

CVE AOSP 링크가 포함된 버그 심각도 해당 버전 신고된 날짜
CVE-2015-6605 ANDROID-20915134 낮음 5.1 이하 Google 사내용
ANDROID-23142203
ANDROID-22278703 낮음 5.0 - 6.0 Google 사내용
CVE-2015-3862 ANDROID-22954006 낮음 5.1 이하 2015년 8월 2일

버전


  • 2015년 10월 5일: 게시판이 게시되었습니다.
  • 2015년 10월 7일: AOSP 참조로 게시판이 업데이트되고, CVE-2014-9028 버그 참조가 명확해 졌습니다.
  • 2015년 10월 12일: CVE-2015-3868, CVE-2015-3869, CVE-2015-3865, CVE-2015-3862에 대한 사사가 업데이트되었습니다.